# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Oct  3 22:05:53 2022
# ------------------------------------------------

package:
  name: seidr
  version: 0.14.2
source:
  sha256: 771442aa7fd8e7ed97d3db465496a6004e163f9c111cd91c19fe86f4961f216f
  url: https://github.com/bschiffthaler/seidr/releases/download/0.14.2/seidr-0.14.2.tar.gz
build:
  number: '1'
  string: nompi_h9de15c5
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_10
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.9.24 ha878542_0
    - cmake 3.24.2 h5432695_0
    - expat 2.4.9 h27087fc_0
    - gcc_impl_linux-64 10.4.0 h7ee1905_16
    - gcc_linux-64 10.4.0 h9215b83_10
    - gfortran_impl_linux-64 10.4.0 h44b2e72_16
    - gfortran_linux-64 10.4.0 h69d5af5_10
    - gxx_impl_linux-64 10.4.0 h7ee1905_16
    - gxx_linux-64 10.4.0 h6e491c6_10
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h08a2579_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libcurl 7.83.1 h2283fc2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 10.4.0 h74af60c_16
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgfortran5 12.1.0 hdcd56e2_16
    - libgomp 12.1.0 h8d9b700_16
    - libnghttp2 1.47.0 hff17c54_1
    - libsanitizer 10.4.0 hde28e3b_16
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 10.4.0 h74af60c_16
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.12 h166bdaf_4
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.5 h166bdaf_2
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.12 h166bdaf_4
    - zstd 1.5.2 h6239696_4
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - armadillo 9.200.4 blas_openblash0df89dd_1203
    - arpack 3.6.3 blas_openblash77d739c_2
    - blas 1.1 openblas
    - boost-cpp 1.74.0 h75c5d50_8
    - bzip2 1.0.8 h7f98852_4
    - coin-or-clp 1.17.7 hc56784d_2
    - coin-or-osi 0.108.7 h2720bb7_2
    - coin-or-utils 2.11.6 h202d8b1_2
    - icu 70.1 h27087fc_0
    - libblas 3.9.0 15_linux64_openblas
    - libcblas 3.9.0 15_linux64_openblas
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgfortran 3.0.0 1
    - libgfortran-ng 12.1.0 h69a702a_16
    - libgfortran5 12.1.0 hdcd56e2_16
    - libgomp 12.1.0 h8d9b700_16
    - liblapack 3.9.0 15_linux64_openblas
    - liblapacke 3.9.0 15_linux64_openblas
    - libopenblas 0.3.20 h043d6bf_1
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - libzlib 1.2.12 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openblas 0.3.3 ha44fe06_1
    - readline 8.1.2 h0f457ee_0
    - superlu 5.2.2 h00795ac_0
    - tbb 2021.6.0 h924138e_0
    - tbb-devel 2021.6.0 h924138e_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.12 h166bdaf_4
    - zstd 1.5.2 h6239696_4
  run:
    - armadillo=*=*openblas*
    - boost-cpp >=1.74.0,<1.74.1.0a0
    - coin-or-clp >=1.17,<1.18.0a0
    - libgcc-ng >=12
    - libgfortran-ng
    - libgfortran5 >=10.4.0
    - libstdcxx-ng >=12
    - libzlib >=1.2.12,<1.3.0a0
    - tbb >=2021.6.0
    - zlib >=1.2.12,<1.3.0a0
test:
  commands:
    - seidr version
    - anoverence -V
    - correlation -V
    - el-ensemble -V
    - genie3 -V
    - llr-ensemble -V
    - mi -V
    - narromi -V
    - pcor -V
    - plsnet -V
    - svm-ensemble -V
    - tigress -V
    - tomsimilarity -V
about:
  home: https://github.com/bschiffthaler/seidr
  license: GPL-2.0-or-later
  license_file: LICENCE
  summary: Community gene network inference and exploration toolkit
extra:
  copy_test_source_files: true
  final: true
